%global gitver .20100601git

Name:		esperanza
Summary: 	A graphical audio player
Version:	0.4.0
Release:	9%{gitver}%{?dist}
License:	GPLv2+
Group:		Applications/Multimedia
# The only version that works with the current xmms2 is the git snapshot:
# git clone git://git.xmms.se/xmms2/esperanza.git
# rm -fr esperanza/.git*
# tar jvcf esperanza-0.4.0.20100601git.tar.bz2 esperanza/
Source0:	%{name}-%{version}%{gitver}.tar.bz2
Source1:	%{name}.desktop
# Derived from the included image in data/images
Source2:	%{name}.png
Patch0:		esperanza-0.4.0-DSO.patch
URL:		http://wiki.xmms2.xmms.se/wiki/Client:Esperanza
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	xmms2-devel >= 0.7, qt-devel
BuildRequires:	desktop-file-utils

%description
Esperanza is an audio player for the XMMS2 framework written with C++ and QT4. 
It has a sleek, uncomplicated UI, and supports album art in the playlist.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .DSO
# Don't need exec perms here
chmod -x src/dialogs/xmms2dpreferences/xmms2dprefmodel*

%build
./configure --prefix=%{_prefix}
# Rebuild translation files
pushd data/translations
rm -rf *.qm
for i in *.ts; do
	lrelease-qt4 $i
done
popd
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make INSTALL_ROOT=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING COPYING.GPL data/text/*.html
%{_bindir}/%{name}*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-9.20100601git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Orcan Ogetbil <oget[at]fedora[at]gmail[dot]com> - 0.4.0-8.20100601git
- rebuild against new boost

* Fri Jul 02 2010 Orcan Ogetbil <oget[at]fedora[at]gmail[dot]com> - 0.4.0-7.20100601git
- update to latest git since this is the only version that works with current xmms2

* Wed Feb 10 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.0-6
- fix undefined DSO

* Tue Jan 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.0-5
- rebuild for new boost

* Tue Aug 11 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.0-4
- sync up with latest git to support new xmms 0.6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0-2
- rebuild translations from source

* Thu Dec  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.0-1
- Initial package for Fedora
